% function [f, psd] = MetroProPSD1D(fileName, W)
% read MetroPro data and calculate PSD using PSD1D of Bondhu
% If W is specified, this or 0.95/sqrt(2) of the data, whichever is smaller, is used for PSD calculation
%
function [f, psd, x, dat] = MetroProPSD1D(fileName, Win)

[dat,x] = loadMetroProData( fileName );

dat(:, isnan(max(dat,[],1)) )=[];
dat( isnan(max(dat,[],2)) ,:)=[];

[row, col] = size( dat );
w = 2 * floor( floor( min( [row,col] ) / 2 ) /sqrt(2) * 0.95 );
if exist('Win', 'var')
    w = min( w, 2*floor(Win/(2*(x(2)-x(1)))+0.1) );
end

rowBase = floor( (row-w)/2 );
colBase = floor( (col-w)/2 );
dat = dat( rowBase:rowBase+w-1, colBase:colBase+w-1 );
x = x(colBase:colBase+w-1);
[f, psd] = PSD1D( x(2)-x(1), dat );