function [randmap, X, Y]=R_RandMapFromPSD(L,N,rho_axis,PSD_2D)
% Bondu's code copy. R_FakeMirror1D will do for most of the case.
% RandMapFromFreq(L,N,F)
% Generate a random height map with rms normalised to 1nm and a single
% spatial frequency. Map data is circular (like the LMA maps) with NaN's
% where there is no value.
% input parameter:
%    L: diameter of map (m).
%    n: number of points along one side
%    F: spatial frequency of height map (m^-1). Must be less than fmax =
%    (N-1)/(2L)

global map_PSD_2D
global law
law = 'vsr1';

deltax = L/(N-1);
% PSD_Freq=F;
fmax = 1/(2*deltax);
% used when law == 'rich7'
% map_PSD_2D = [log10(rho_axis') log10(PSD_2D')];

mirgrid=R_FakeMirror2D(deltax,N,'disc',NaN); % Using 'rich3' kaw

val=mirgrid(isfinite(mirgrid));
mymean = mean(val(:));
%mystd = std(val(:));

mirgrid = mirgrid - mymean;
%mirgrid = 1e-9*mirgrid/mystd; %should not do this

randmap = mirgrid;
[X,Y]=meshgrid(linspace(-L/2,L/2,N));
