function [newMap, newX, newY] = flipExpander( map, x, y, r0, rnew, amp )
% [newMap, newX, newY] = flipExpander( map, x, y, r0, rnew, amp )
% newMap( r, theta) = oldMap( 2r0 - r, theta ) * (1 + (r-r0)/r0*amp)
%
% size(map) should be [length(y), length(x)]
%
% October 27, 2015  update with newX and newY as return values
%
% Nov. 20, 2016  BROKEN
%    map( xg.^2 + yg.^2 <= r0^2 ) oversized
%

dx = x(2)-x(1); dy = y(2)-y(1);

new0 = x(1) - ceil( (rnew + x(1)) / dx )*dx;
nx = floor( ( x(end) + ceil( (rnew - x(end)) / dx )*dx - new0 ) / dx ) + 1;
newX = (0:nx-1)*dx + new0;
new0 = y(1) - ceil( (rnew + y(1)) / dy )*dy;
ny = floor( ( y(end) + ceil( (rnew - y(end)) / dy )*dy - new0 ) / dy ) + 1;
newY = (0:ny-1)*dy + new0;

newMap = nan( ny, nx );
[xg,yg] = meshgrid( x, y );
[newXg, newYg] = meshgrid( newX, newY );
newRg2 = newXg.^2 + newYg.^2;
newRg = sqrt(newRg2);
newMap( newRg2 <= r0^2 ) = map( xg.^2 + yg.^2 <= r0^2 );

ind = find( (newRg2 > r0^2) & (newRg2 <= rnew^2) );
theta = atan2( newYg(ind), newXg(ind) );
rrev = 2*r0 - sqrt(newRg2(ind));
xgrev = floor( rrev.*cos(theta) / dx + size(map,2)/2 + 0.5) + 1;
ygrev = floor( rrev.*sin(theta) / dy + size(map,1)/2 + 0.5) + 1;
for n = 1 : length(ind)
    id = ind(n);
    newMap(id) = map( ygrev(n), xgrev(n) ) .* (1 + (newRg(id)/r0-1)*amp);
end