function [xnew, mapFlip, map10C, map10All, mapFull ] = makeFakeMaps( dataFile, mirRadius, outRadius, ampOut )
% function makeFakeMaps( dataFile, mirRadisu, outRadius, outFilePrefix )
% 
% Nov. 20, 2016  BROKEN
%     flipExpander broken

if iscell(dataFile)
    dataFile = dataFile{1};
end

% load data
[map0, x0, y0] = loadMetroProData(dataFile);
% remove tilt using entire surface
map0 = zernikeCoef( map0, x0, y0, 2*mirRadius );
% grid size
dx0 = x0(2)-x0(1);
% mesh points of the expanded map
Nnew = 2*ceil(2*outRadius / dx0/2);
xnew = dx0*(-Nnew/2+0.5:Nnew/2-0.5);

% small sampling for long wavelength maps
Nlow = 128;
dxL = outRadius * 2 / Nlow;
xnewL = dxL*(-Nlow/2+0.5:Nlow/2-0.5);

[xsg, ysg] = meshgrid( xnewL, xnewL);
[xlg, ylg] = meshgrid( xnew, xnew);

% 1st case : expand by flipping on the circular boundary
mapFlip = flipExpander( map0, xnew, xnew, mirRadius, outRadius, ampOut );

% use entire mirror for zernikeFit
[mapL, mapHigh] = makeMaps( map0, x0, y0, mirRadius, mirRadius, 12, xnewL, outRadius );

% expand high frequency part to full
mapHigh = flipExpander( mapHigh, xnew, xnew, mirRadius, outRadius, ampOut );

% change high density maps
mapFull = interp2( xsg, ysg, mapL, xlg, ylg ) + mapHigh;

% use 9cm region, use only circular
mapL = makeMaps( map0, x0, y0, mirRadius, 0.09, 8, xnewL, outRadius, 6 );
map10C = interp2( xsg, ysg, mapL, xlg, ylg ) + mapHigh;

% use 9cm region, use all
mapL = makeMaps( map0, x0, y0, mirRadius, 0.09, 8, xnewL, outRadius );
map10All = interp2( xsg, ysg, mapL, xlg, ylg ) + mapHigh;
