% function Erho = truncGauss( x, y, z, A, w0, lam )

function EZ = truncGauss( rho, w0, R0, L, Rm, lam )

if ~exist('lam', 'var')
    lam = 1.064e-6;
end

B = 2 * pi * rho / (L * lam);
A = 1 / w0^2 + 1i*pi/lam*(1/R0 + 1/L);

Erho = integral( @(x) besselj(0, B*sqrt(-log(x)/A))
